<html xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="layouts/defaultTemplate">

<body>
	<h2 th:text="${message}">This is my default text</h2>
	<h2 th:text="${message2}">This is more default text</h2>

	<a th:href="@{test2}">Go to /test2</a><br />
	<a th:href="@{test3}">Go to /test3</a><br />
	<a th:href="@{test4?message=Hello World from a Tymeleead template!}">Go	to /test4</a><br>
</body>
</html>
